proxy-providers:
  MAGI:
    type: http
    path: ./providers/magi.yaml
    url: https://sub-store-backend.ddtw.site/download/MAGI?target=ClashMeta
    interval: 86400
  ASH:
    type: http
    path: ./providers/ash.yaml
    url: https://sub-store-backend.ddtw.site/download/ASH?target=ClashMeta
    interval: 86400
  YKK:
    type: http
    path: ./providers/ykk.yaml
    url: https://sub-store-backend.ddtw.site/download/YKK?target=ClashMeta
    interval: 86400

proxy-groups:
  - name: PROXY
    type: select
    use:
      - MAGI
      - ASH
      - YKK
  - name: Emby
    type: select
    use:
      - MAGI
      - ASH
      - YKK

rules:
  # 域名规则
  - GEOSITE,steam@cn,DIRECT
  - GEOSITE,steam,PROXY
  - DOMAIN-SUFFIX,1145145.com,DIRECT
  - DOMAIN-SUFFIX,docstransfer.com,DIRECT
  - DOMAIN-SUFFIX,ddtw.site,DIRECT
  - DOMAIN-SUFFIX,config.moe,DIRECT
  - DOMAIN-SUFFIX,ykk.emby.moe,Emby
  - DOMAIN-SUFFIX,ask.ash.yt,Emby
  - DOMAIN-SUFFIX,tv.ash.yt,Emby
  - DOMAIN-SUFFIX,ash.yt,Emby
  - DOMAIN-KEYWORD,googleapis,PROXY
  # 最终规则
  - GEOIP,private,DIRECT
  - GEOIP,cn,DIRECT
  - MATCH,PROXY
